from tortoise import fields
from tortoise.models import Model
from pydantic import BaseModel
from datetime import datetime
class User(Model):
    id = fields.IntField(pk=True)
    username = fields.CharField(max_length=30, unique=True, description="帳號")
    password = fields.CharField(max_length=128, description="密碼")
    email = fields.CharField(max_length=128, description="信箱")
    points = fields.IntField(description="點數")

class Class_list(Model):
    id = fields.IntField(pk=True)
    name = fields.CharField(max_length=255, description="活動名稱")
    start_time = fields.DatetimeField(description="開始時間")
    end_time = fields.DatetimeField(description="結束時間")
    location = fields.CharField(max_length=255, description="地點")
    lecturer = fields.CharField(max_length=255, description="講師")
    organizer = fields.CharField(max_length=255, description="主辦單位")
    contact = fields.CharField(max_length=255, description="聯絡資訊")
    introduction = fields.TextField(description="簡介")
    content = fields.TextField(description="內容")
    cover_img = fields.CharField(max_length=255, description="封面圖片")
